Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class KeyboardInput

    java.lang.Object
      |
      +--shout3d.core.DeviceInput
            |
            +--shout3d.core.KeyboardInput

public class KeyboardInput
extends DeviceInput

A class for describing keyboard input.

Field Summary
`static int` | `CAPS_LOCK` The Caps Lock key, a non-ASCII action key.
`static int` | `DOWN` The Down Arrow key, a non-ASCII action key.
`static int` | `END` The End key, a non-ASCII action key.
`static int` | `F1` The F1 function key, a non-ASCII action key.
`static int` | `F10` The F10 function key, a non-ASCII action key.
`static int` | `F11` The F11 function key, a non-ASCII action key.
`static int` | `F12` The F12 function key, a non-ASCII action key.
`static int` | `F2` The F2 function key, a non-ASCII action key.
`static int` | `F3` The F3 function key, a non-ASCII action key.
`static int` | `F4` The F4 function key, a non-ASCII action key.
`static int` | `F5` The F5 function key, a non-ASCII action key.
`static int` | `F6` The F6 function key, a non-ASCII action key.
`static int` | `F7` The F7 function key, a non-ASCII action key.
`static int` | `F8` The F8 function key, a non-ASCII action key.
`static int` | `F9` The F9 function key, a non-ASCII action key.
`static int` | `HOME` The Home key, a non-ASCII action key.
`static int` | `INSERT` The Insert key, a non-ASCII action key.
`int` | `key` Indicates which key was pressed or released.
`static int` | `LEFT` The Left Arrow key, a non-ASCII action key.
`static int` | `NUM_LOCK` The Num Lock key, a non-ASCII action key.
`static int` | `PAUSE` The Pause key, a non-ASCII action key.
`static int` | `PGDN` The Page Down key, a non-ASCII action key.
`static int` | `PGUP` The Page Up key, a non-ASCII action key.
`static int` | `PRESS` One of two values for the 'which' member variable.
`static int` | `PRINT_SCREEN` The Print Screen key, a non-ASCII action key.
`static int` | `RELEASE` One of two values for the 'which' member variable.
`static int` | `RIGHT` The Right Arrow key, a non-ASCII action key.
`static int` | `SCROLL_LOCK` The Scroll Lock key, a non-ASCII action key.
`static int` | `UP` The Up Arrow key, a non-ASCII action key.
`int` | `which` Indicates which type of input (PRESS or RELEASE) was received.

Fields inherited from class shout3d.core.DeviceInput
`ALT_MASK, CTRL_MASK, META_MASK, modifiers, SHIFT_MASK, timeStamp`

Constructor Summary
`KeyboardInput()` Constructs a KeyboardInput
`KeyboardInput(int which, int key, int modifiers, double timeStamp)` Constructs a KeyboardInput

Methods inherited from class shout3d.core.DeviceInput
`getTypeName, isOfType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRESS

    public static final int PRESS

  One of two values for the 'which' member variable. This flag indicates that the key was pressed.

### RELEASE

    public static final int RELEASE

  One of two values for the 'which' member variable. This flag indicates that the key was released.

### HOME

    public static final int HOME

  The Home key, a non-ASCII action key.

### END

    public static final int END

  The End key, a non-ASCII action key.

### PGUP

    public static final int PGUP

  The Page Up key, a non-ASCII action key.

### PGDN

    public static final int PGDN

  The Page Down key, a non-ASCII action key.

### UP

    public static final int UP

  The Up Arrow key, a non-ASCII action key.

### DOWN

    public static final int DOWN

  The Down Arrow key, a non-ASCII action key.

### LEFT

    public static final int LEFT

  The Left Arrow key, a non-ASCII action key.

### RIGHT

    public static final int RIGHT

  The Right Arrow key, a non-ASCII action key.

### F1

    public static final int F1

  The F1 function key, a non-ASCII action key.

### F2

    public static final int F2

  The F2 function key, a non-ASCII action key.

### F3

    public static final int F3

  The F3 function key, a non-ASCII action key.

### F4

    public static final int F4

  The F4 function key, a non-ASCII action key.

### F5

    public static final int F5

  The F5 function key, a non-ASCII action key.

### F6

    public static final int F6

  The F6 function key, a non-ASCII action key.

### F7

    public static final int F7

  The F7 function key, a non-ASCII action key.

### F8

    public static final int F8

  The F8 function key, a non-ASCII action key.

### F9

    public static final int F9

  The F9 function key, a non-ASCII action key.

### F10

    public static final int F10

  The F10 function key, a non-ASCII action key.

### F11

    public static final int F11

  The F11 function key, a non-ASCII action key.

### F12

    public static final int F12

  The F12 function key, a non-ASCII action key.

### PRINT_SCREEN

    public static final int PRINT_SCREEN

  The Print Screen key, a non-ASCII action key.

### SCROLL_LOCK

    public static final int SCROLL_LOCK

  The Scroll Lock key, a non-ASCII action key.

### CAPS_LOCK

    public static final int CAPS_LOCK

  The Caps Lock key, a non-ASCII action key.

### NUM_LOCK

    public static final int NUM_LOCK

  The Num Lock key, a non-ASCII action key.

### PAUSE

    public static final int PAUSE

  The Pause key, a non-ASCII action key.

### INSERT

    public static final int INSERT

  The Insert key, a non-ASCII action key.

### which

    public int which

  Indicates which type of input (PRESS or RELEASE) was received.

### key

    public int key

  Indicates which key was pressed or released.

Constructor Detail

### KeyboardInput

    public KeyboardInput()

  Constructs a KeyboardInput

### KeyboardInput

    public KeyboardInput(int which,
                         int key,
                         int modifiers,
                         double timeStamp)

  Constructs a KeyboardInput

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD